<?php 
/**
 * Plugin Name: Twilio SMS (Matomo Plugin)
 * Plugin URI: http://plugins.matomo.org/TwilioSMS
 * Description: Adds the ability to use Twilio as your SMS provider for Mobile Messaging (SMS Reports)
 * Author: 9joshua
 * Author URI: https://github.com/9joshua/TwilioSMS
 * Version: 1.0.2
 */
?><?php
/**
 * Matomo - free/libre analytics platform
 *
 * @link https://matomo.org
 * @license http://www.gnu.org/licenses/gpl-3.0.html GPL v3 or later
 */

namespace Piwik\Plugins\TwilioSMS;

 
if (defined( 'ABSPATH')
&& function_exists('add_action')) {
    $path = '/matomo/app/core/Plugin.php';
    if (defined('WP_PLUGIN_DIR') && WP_PLUGIN_DIR && file_exists(WP_PLUGIN_DIR . $path)) {
        require_once WP_PLUGIN_DIR . $path;
    } elseif (defined('WPMU_PLUGIN_DIR') && WPMU_PLUGIN_DIR && file_exists(WPMU_PLUGIN_DIR . $path)) {
        require_once WPMU_PLUGIN_DIR . $path;
    } else {
        return;
    }
    add_action('plugins_loaded', function () {
        if (function_exists('matomo_add_plugin')) {
            matomo_add_plugin(__DIR__, __FILE__, true);
        }
    });
}

class TwilioSMS extends \Piwik\Plugin
{
    public function registerEvents()
    {
        return [
            'Translate.getClientSideTranslationKeys' => 'getClientSideTranslationKeys',
        ];
    }

    // support archiving just this plugin via core:archive
    public function getClientSideTranslationKeys(&$translationKeys) {
        $translationKeys[] = 'TwilioSMS_AccountSID';
        $translationKeys[] = 'TwilioSMS_AuthToken';
        $translationKeys[] = 'TwilioSMS_SendingNumber';
        $translationKeys[] = 'TwilioSMS_AvailableBalance';
    }
}

